## org.eclipse.jst.jsf.common.dom
Class AttrDOMAdapter

    java.lang.Object
      org.eclipse.jst.jsf.common.dom.DOMAdapter
          org.eclipse.jst.jsf.common.dom.AttrDOMAdapter

    public abstract class AttrDOMAdapter

extends DOMAdapter

Generic adapter for DOM attribute structures.

Method Summary
`AttributeIdentifier` `getAttributeIdentifier()`
`short` `getNodeType()`
`ElementDOMAdapter` `getOwningElement()` The default implementation always returns the owner specified in the constructor.
`abstract java.lang.String` `getValue()`

Methods inherited from class org.eclipse.jst.jsf.common.dom.DOMAdapter
`getLocalName, getNodeName, getPrefix`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getOwningElement

    public ElementDOMAdapter getOwningElement()

  The default implementation always returns the owner specified in the constructor.

  Returns:
    the element that owns this attribute

### getValue

    public abstract java.lang.String getValue()

  Returns:
    the value of the attribute. May return null if the attribute has no value.

### getNodeType

    public final short getNodeType()

  Specified by:
    `getNodeType` in class `DOMAdapter`
  Returns:
    the node type. Conforms to Node.getNodeType.

### getAttributeIdentifier

    public final AttributeIdentifier getAttributeIdentifier()

  Returns:
    the attribute identifier